> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an org by name

> Response will contain the requested org if the caller is authorized to view it



## OpenAPI

````yaml get /org/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{name}:
    get:
      tags:
        - org
      summary: Get an org by name
      description: >-
        Response will contain the requested org if the caller is authorized to
        view it
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/org'
        '403':
          description: Not found or not allowed to view
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    org:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        kind:
          type: string
          readOnly: true
        version:
          type: integer
          readOnly: true
        description:
          type: string
          maxLength: 250
        tags:
          type: object
        created:
          type: string
          format: date-time
          readOnly: true
        lastModified:
          type: string
          format: date-time
          readOnly: true
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        name:
          type: string
          maxLength: 64
        spec:
          type: object
          properties:
            logging:
              type: object
              properties:
                s3:
                  type: object
                  properties:
                    bucket:
                      type: string
                    region:
                      type: string
                    prefix:
                      type: string
                      default: /
                    credentials:
                      type: string
                  additionalProperties: false
                coralogix:
                  type: object
                  properties:
                    cluster:
                      type: string
                      enum:
                        - coralogix.com
                        - coralogix.us
                        - app.coralogix.in
                        - app.eu2.coralogix.com
                        - app.coralogixsg.com
                    credentials:
                      type: string
                    app:
                      type: string
                    subsystem:
                      type: string
                  additionalProperties: false
                datadog:
                  type: object
                  properties:
                    host:
                      type: string
                      enum:
                        - http-intake.logs.datadoghq.com
                        - http-intake.logs.us3.datadoghq.com
                        - http-intake.logs.us5.datadoghq.com
                        - http-intake.logs.datadoghq.eu
                    credentials:
                      type: string
                  additionalProperties: false
                logzio:
                  type: object
                  properties:
                    listenerHost:
                      type: string
                      enum:
                        - listener.logz.io
                        - listener-nl.logz.io
                    credentials:
                      type: string
                  additionalProperties: false
                elastic:
                  type: object
                  properties:
                    aws:
                      type: object
                      properties:
                        host:
                          type: string
                        port:
                          type: integer
                        index:
                          type: string
                        type:
                          type: string
                        credentials:
                          type: string
                        region:
                          type: string
                      additionalProperties: false
                    elasticCloud:
                      type: object
                      properties:
                        index:
                          type: string
                        type:
                          type: string
                        credentials:
                          type: string
                        cloudId:
                          type: string
                      additionalProperties: false
                    generic:
                      type: object
                      properties:
                        host:
                          type: string
                        port:
                          type: integer
                        path:
                          type: string
                        index:
                          type: string
                        type:
                          type: string
                        credentials:
                          type: string
                        username:
                          type: string
                        password:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                cloudWatch:
                  type: object
                  properties:
                    region:
                      type: string
                      enum:
                        - us-east-1
                        - us-east-2
                        - us-west-1
                        - us-west-2
                        - ap-south-1
                        - ap-northeast-2
                        - ap-southeast-1
                        - ap-southeast-2
                        - ap-northeast-1
                        - eu-central-1
                        - eu-west-1
                        - eu-west-2
                        - eu-south-1
                        - eu-west-3
                        - eu-north-1
                        - me-south-1
                        - sa-east-1
                        - af-south-1
                    credentials:
                      type: string
                    retentionDays:
                      type: integer
                    groupName:
                      type: string
                    streamName:
                      type: string
                    extractFields:
                      type: object
                  additionalProperties: false
                fluentd:
                  type: object
                  properties:
                    host:
                      type: string
                    port:
                      type: integer
                  additionalProperties: false
                stackdriver:
                  type: object
                  properties:
                    credentials:
                      type: string
                    location:
                      type: string
                      enum:
                        - us-east1
                        - us-east4
                        - us-central1
                        - us-west1
                        - europe-west4
                        - europe-west1
                        - europe-west3
                        - europe-west2
                        - asia-east1
                        - asia-southeast1
                        - asia-northeast1
                        - asia-south1
                        - australia-southeast1
                        - southamerica-east1
                        - africa-south1
                        - asia-east2
                        - asia-northeast2
                        - asia-northeast3
                        - asia-south2
                        - asia-southeast2
                        - australia-southeast2
                        - europe-central2
                        - europe-north1
                        - europe-southwest1
                        - europe-west10
                        - europe-west12
                        - europe-west6
                        - europe-west8
                        - europe-west9
                        - me-central1
                        - me-central2
                        - me-west1
                        - northamerica-northeast1
                        - northamerica-northeast2
                        - southamerica-west1
                        - us-east5
                        - us-south1
                        - us-west2
                        - us-west3
                        - us-west4
                  additionalProperties: false
                syslog:
                  type: object
                  properties:
                    host:
                      type: string
                    port:
                      type: integer
                    mode:
                      type: string
                      enum:
                        - tcp
                        - udp
                        - tls
                      default: tcp
                    format:
                      type: string
                      enum:
                        - rfc3164
                        - rfc5424
                      default: rfc5424
                    severity:
                      type: number
                      description: |2-

                          Emergency (EMERG) (severity level 0):
                          System is unusable.

                          Alert (ALERT) (severity level 1):
                          Action must be taken immediately.

                          Critical (CRIT) (severity level 2):
                          Critical conditions.

                          Error (ERR) (severity level 3):
                          Error conditions.

                          Warning (WARNING) (severity level 4):
                          Warning conditions.

                          Notice (NOTICE) (severity level 5):
                          Normal but significant conditions.

                          Informational (INFO) (severity level 6):
                          Informational messages.

                          Debug (DEBUG) (severity level 7):
                          Debug-level messages.
                  additionalProperties: false
                opentelemetry:
                  type: object
                  properties:
                    endpoint:
                      type: string
                    headers:
                      type: object
                    credentials:
                      type: string
                  additionalProperties: false
                loki:
                  type: object
                  properties:
                    endpoint:
                      type: string
                    credentials:
                      type: string
                    tenantId:
                      type: string
                  additionalProperties: false
              additionalProperties: false
            extraLogging:
              type: array
              items:
                type: object
                properties:
                  s3:
                    type: object
                    properties:
                      bucket:
                        type: string
                      region:
                        type: string
                      prefix:
                        type: string
                        default: /
                      credentials:
                        type: string
                    additionalProperties: false
                  coralogix:
                    type: object
                    properties:
                      cluster:
                        type: string
                        enum:
                          - coralogix.com
                          - coralogix.us
                          - app.coralogix.in
                          - app.eu2.coralogix.com
                          - app.coralogixsg.com
                      credentials:
                        type: string
                      app:
                        type: string
                      subsystem:
                        type: string
                    additionalProperties: false
                  datadog:
                    type: object
                    properties:
                      host:
                        type: string
                        enum:
                          - http-intake.logs.datadoghq.com
                          - http-intake.logs.us3.datadoghq.com
                          - http-intake.logs.us5.datadoghq.com
                          - http-intake.logs.datadoghq.eu
                      credentials:
                        type: string
                    additionalProperties: false
                  logzio:
                    type: object
                    properties:
                      listenerHost:
                        type: string
                        enum:
                          - listener.logz.io
                          - listener-nl.logz.io
                      credentials:
                        type: string
                    additionalProperties: false
                  elastic:
                    type: object
                    properties:
                      aws:
                        type: object
                        properties:
                          host:
                            type: string
                          port:
                            type: integer
                          index:
                            type: string
                          type:
                            type: string
                          credentials:
                            type: string
                          region:
                            type: string
                        additionalProperties: false
                      elasticCloud:
                        type: object
                        properties:
                          index:
                            type: string
                          type:
                            type: string
                          credentials:
                            type: string
                          cloudId:
                            type: string
                        additionalProperties: false
                      generic:
                        type: object
                        properties:
                          host:
                            type: string
                          port:
                            type: integer
                          path:
                            type: string
                          index:
                            type: string
                          type:
                            type: string
                          credentials:
                            type: string
                          username:
                            type: string
                          password:
                            type: string
                        additionalProperties: false
                    additionalProperties: false
                  cloudWatch:
                    type: object
                    properties:
                      region:
                        type: string
                        enum:
                          - us-east-1
                          - us-east-2
                          - us-west-1
                          - us-west-2
                          - ap-south-1
                          - ap-northeast-2
                          - ap-southeast-1
                          - ap-southeast-2
                          - ap-northeast-1
                          - eu-central-1
                          - eu-west-1
                          - eu-west-2
                          - eu-south-1
                          - eu-west-3
                          - eu-north-1
                          - me-south-1
                          - sa-east-1
                          - af-south-1
                      credentials:
                        type: string
                      retentionDays:
                        type: integer
                      groupName:
                        type: string
                      streamName:
                        type: string
                      extractFields:
                        type: object
                    additionalProperties: false
                  fluentd:
                    type: object
                    properties:
                      host:
                        type: string
                      port:
                        type: integer
                    additionalProperties: false
                  stackdriver:
                    type: object
                    properties:
                      credentials:
                        type: string
                      location:
                        type: string
                        enum:
                          - us-east1
                          - us-east4
                          - us-central1
                          - us-west1
                          - europe-west4
                          - europe-west1
                          - europe-west3
                          - europe-west2
                          - asia-east1
                          - asia-southeast1
                          - asia-northeast1
                          - asia-south1
                          - australia-southeast1
                          - southamerica-east1
                          - africa-south1
                          - asia-east2
                          - asia-northeast2
                          - asia-northeast3
                          - asia-south2
                          - asia-southeast2
                          - australia-southeast2
                          - europe-central2
                          - europe-north1
                          - europe-southwest1
                          - europe-west10
                          - europe-west12
                          - europe-west6
                          - europe-west8
                          - europe-west9
                          - me-central1
                          - me-central2
                          - me-west1
                          - northamerica-northeast1
                          - northamerica-northeast2
                          - southamerica-west1
                          - us-east5
                          - us-south1
                          - us-west2
                          - us-west3
                          - us-west4
                    additionalProperties: false
                  syslog:
                    type: object
                    properties:
                      host:
                        type: string
                      port:
                        type: integer
                      mode:
                        type: string
                        enum:
                          - tcp
                          - udp
                          - tls
                        default: tcp
                      format:
                        type: string
                        enum:
                          - rfc3164
                          - rfc5424
                        default: rfc5424
                      severity:
                        type: number
                        description: |2-

                            Emergency (EMERG) (severity level 0):
                            System is unusable.

                            Alert (ALERT) (severity level 1):
                            Action must be taken immediately.

                            Critical (CRIT) (severity level 2):
                            Critical conditions.

                            Error (ERR) (severity level 3):
                            Error conditions.

                            Warning (WARNING) (severity level 4):
                            Warning conditions.

                            Notice (NOTICE) (severity level 5):
                            Normal but significant conditions.

                            Informational (INFO) (severity level 6):
                            Informational messages.

                            Debug (DEBUG) (severity level 7):
                            Debug-level messages.
                    additionalProperties: false
                  opentelemetry:
                    type: object
                    properties:
                      endpoint:
                        type: string
                      headers:
                        type: object
                      credentials:
                        type: string
                    additionalProperties: false
                  loki:
                    type: object
                    properties:
                      endpoint:
                        type: string
                      credentials:
                        type: string
                      tenantId:
                        type: string
                    additionalProperties: false
                additionalProperties: false
            tracing:
              type: object
              properties:
                sampling:
                  type: number
                lightstep:
                  type: object
                  properties:
                    endpoint:
                      type: string
                    credentials:
                      type: string
                  additionalProperties: false
                customTags:
                  type: object
                provider:
                  type: object
                  properties:
                    otel:
                      type: object
                      properties:
                        endpoint:
                          type: string
                      additionalProperties: false
                    lightstep:
                      type: object
                      properties:
                        endpoint:
                          type: string
                        credentials:
                          type: string
                      additionalProperties: false
                    controlplane:
                      type: object
                      properties: {}
                      additionalProperties: false
                  additionalProperties: false
              additionalProperties: false
            sessionTimeoutSeconds:
              type: number
            authConfig:
              type: object
              properties:
                domainAutoMembers:
                  type: array
                  items:
                    type: string
                samlOnly:
                  type: boolean
              additionalProperties: false
            observability:
              type: object
              properties:
                logsRetentionDays:
                  type: integer
                metricsRetentionDays:
                  type: integer
                tracesRetentionDays:
                  type: integer
                defaultAlertEmails:
                  type: array
                  items:
                    type: string
                  description: >-
                    these emails are configured as alert recipients in grafana
                    when the grafana-default-email contact delivery type is
                    Email
              additionalProperties: false
            security:
              type: object
              properties:
                threatDetection:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                      description: whether or not detected threats should be forwarded
                    minimumSeverity:
                      type: string
                      enum:
                        - warning
                        - error
                        - critical
                      description: >-
                        any threats with this severity and more severe will be
                        sent. Others will be ignored
                    syslog:
                      type: object
                      properties:
                        transport:
                          type: string
                          enum:
                            - tcp
                            - udp
                          default: tcp
                          description: >-
                            the transport-layer protocol to send the syslog
                            messages over. If TCP is chosen, messages will be
                            sent with TLS.
                        host:
                          type: string
                          description: the hostname to send syslog messages to
                        port:
                          type: integer
                          description: the port to send syslog messages to
                      additionalProperties: false
                      description: configuration for syslog forwarding
                  additionalProperties: false
                  description: >-
                    configure detected threats to be forwarded using a specified
                    protocol
              additionalProperties: false
          additionalProperties: false
        status:
          $ref: '#/components/schemas/org_status'
          readOnly: true
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
    org_status:
      type: object
      properties:
        accountLink:
          type: string
        active:
          type: boolean
        endpointPrefix:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````